Package picard.pedigree

# Class PedFile.PedTrio

java.lang.Object
picard.pedigree.PedFile.PedTrio

Enclosing class:
  PedFile

public class PedFile.PedTrio extends Object

## Constructor Summary

Constructors
Constructor
Description
`PedTrio(String familyId, String individualId, String paternalId, String maternalId, Sex sex, Number phenotype)`
Constructs a TRIO that cannot be modified after the fact.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFamilyId()`
`String`
`getIndividualId()`
`String`
`getMaternalId()`
`String`
`getPaternalId()`
`Number`
`getPhenotype()`
`Sex`
`getSex()`
`boolean`
`hasBothParents()`
True if this record has paternal and maternal ids, otherwise false.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PedTrio

public PedTrio(String familyId, String individualId, String paternalId, String maternalId, Sex sex, Number phenotype)
Constructs a TRIO that cannot be modified after the fact.

## Method Details

### hasBothParents

public boolean hasBothParents()
True if this record has paternal and maternal ids, otherwise false.

### getFamilyId

public String getFamilyId()

### getIndividualId

public String getIndividualId()

### getPaternalId

public String getPaternalId()

### getMaternalId

public String getMaternalId()

### getSex

public Sex getSex()

### getPhenotype

public Number getPhenotype()